aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--meta-oe/recipes-extended/zram/zram/init4
1 files changed, 2 insertions, 2 deletions
diff --git a/meta-oe/recipes-extended/zram/zram/init b/meta-oe/recipes-extended/zram/zram/init
index d12616936c..7b6cbf414c 100644
--- a/meta-oe/recipes-extended/zram/zram/init
+++ b/meta-oe/recipes-extended/zram/zram/init
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
### BEGIN INIT INFO
# Provides: zram
# Required-Start:
@@ -26,7 +26,7 @@ start() {
#default Factor % = 90 change this value here or create /etc/default/zram
FACTOR=90
#& put the above single line in /etc/default/zram with the value you want
- [ -f /etc/default/zram ] && source /etc/default/zram || true
+ [ -f /etc/default/zram ] && . /etc/default/zram || true
factor=$FACTOR # percentage
# get the amount of memory in the machine